Get a recorded terminal session
import requests
url = "https://platform.ankra.app/api/v1/org/organisation/terminal-sessions/{session_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/organisation/terminal-sessions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/organisation/terminal-sessions/{session_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"audit_log_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ankra_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_email": "<string>",
"namespace": "<string>",
"pod_name": "<string>",
"container_name": "<string>",
"shell": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"end_reason": "<string>",
"recorded_bytes": 123,
"is_truncated": true,
"recording_degraded": true,
"transcript_pruned_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Organisation
Get a recorded terminal session
Returns the facts of one recorded pod terminal session of the organisation. Requires audit.read.
GET
/
api
/
v1
/
org
/
organisation
/
terminal-sessions
/
{session_id}
Get a recorded terminal session
import requests
url = "https://platform.ankra.app/api/v1/org/organisation/terminal-sessions/{session_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/organisation/terminal-sessions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/organisation/terminal-sessions/{session_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"audit_log_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ankra_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_email": "<string>",
"namespace": "<string>",
"pod_name": "<string>",
"container_name": "<string>",
"shell": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"end_reason": "<string>",
"recorded_bytes": 123,
"is_truncated": true,
"recording_degraded": true,
"transcript_pruned_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
The session
A recorded interactive terminal session into a pod.
Set once retention removed the recorded bytes; the session facts stay.